<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>json-c: json_types.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">json-c
   &#160;<span id="projectnumber">0.14</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.2 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle">
<div class="title">json_types.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Basic types used in a few places in json-c, but you should include "json_object.h" instead.  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structjson__object__iter.html">json_object_iter</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a2a31d5c00f3a4712f2d5d62aee66344e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="json__types_8h.html#a2a31d5c00f3a4712f2d5d62aee66344e">JSON_EXPORT</a>&#160;&#160;&#160;extern</td></tr>
<tr class="separator:a2a31d5c00f3a4712f2d5d62aee66344e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:af88126730e765f2068968f4b16fd074f"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="structjson__object__iter.html">json_object_iter</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="json__types_8h.html#af88126730e765f2068968f4b16fd074f">json_object_iter</a></td></tr>
<tr class="separator:af88126730e765f2068968f4b16fd074f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81f02022906fafc71eb9197049f07f73"><td class="memItemLeft" align="right" valign="top">typedef int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="json__types_8h.html#a81f02022906fafc71eb9197049f07f73">json_bool</a></td></tr>
<tr class="separator:a81f02022906fafc71eb9197049f07f73"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af27907ced0f5a43409ad96430fe0f914"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="structjson__object.html">json_object</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="json__types_8h.html#af27907ced0f5a43409ad96430fe0f914">json_object</a></td></tr>
<tr class="memdesc:af27907ced0f5a43409ad96430fe0f914"><td class="mdescLeft">&#160;</td><td class="mdescRight">The core type for all type of JSON objects handled by json-c.  <a href="#af27907ced0f5a43409ad96430fe0f914"></a><br/></td></tr>
<tr class="separator:af27907ced0f5a43409ad96430fe0f914"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa647d7c567a06abe1a1a511f6d6860e4"><td class="memItemLeft" align="right" valign="top">typedef void(&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="json__types_8h.html#aa647d7c567a06abe1a1a511f6d6860e4">json_object_delete_fn</a> )(struct <a class="el" href="structjson__object.html">json_object</a> *jso, void *userdata)</td></tr>
<tr class="separator:aa647d7c567a06abe1a1a511f6d6860e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af84078100a9025df418f31626ea866fa"><td class="memItemLeft" align="right" valign="top">typedef int(&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="json__types_8h.html#af84078100a9025df418f31626ea866fa">json_object_to_json_string_fn</a> )(struct <a class="el" href="structjson__object.html">json_object</a> *jso, struct <a class="el" href="structprintbuf.html">printbuf</a> *pb, int level, int flags)</td></tr>
<tr class="separator:af84078100a9025df418f31626ea866fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba5eff84f8638d22f50403175f270c96"><td class="memItemLeft" align="right" valign="top">typedef enum <a class="el" href="json__types_8h.html#ac75c61993722a9b8aaa44704072ec06c">json_type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="json__types_8h.html#aba5eff84f8638d22f50403175f270c96">json_type</a></td></tr>
<tr class="separator:aba5eff84f8638d22f50403175f270c96"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:ac75c61993722a9b8aaa44704072ec06c"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="json__types_8h.html#ac75c61993722a9b8aaa44704072ec06c">json_type</a> { <br/>
&#160;&#160;<a class="el" href="json__types_8h.html#ac75c61993722a9b8aaa44704072ec06ca127e62d156e13517471fcde3378979c1">json_type_null</a>, 
<a class="el" href="json__types_8h.html#ac75c61993722a9b8aaa44704072ec06ca5d15299e90dbb9935ff6d3e2c22a285c">json_type_boolean</a>, 
<a class="el" href="json__types_8h.html#ac75c61993722a9b8aaa44704072ec06cac6ac2d9a16577d00210fea64d16b47cd">json_type_double</a>, 
<a class="el" href="json__types_8h.html#ac75c61993722a9b8aaa44704072ec06ca7bf325c213b43c5f970ae2d4443ab956">json_type_int</a>, 
<br/>
&#160;&#160;<a class="el" href="json__types_8h.html#ac75c61993722a9b8aaa44704072ec06cac966c8008f0b2c07da59ee8a60ad440f">json_type_object</a>, 
<a class="el" href="json__types_8h.html#ac75c61993722a9b8aaa44704072ec06cae536c8c9da4648e6b9348abddde6113c">json_type_array</a>, 
<a class="el" href="json__types_8h.html#ac75c61993722a9b8aaa44704072ec06cac9f56e57c09245522d764015a054faa6">json_type_string</a>
<br/>
 }</td></tr>
<tr class="separator:ac75c61993722a9b8aaa44704072ec06c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Basic types used in a few places in json-c, but you should include "json_object.h" instead. </p>
</div><h2 class="groupheader">Macro Definition Documentation</h2>
<a class="anchor" id="a2a31d5c00f3a4712f2d5d62aee66344e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define JSON_EXPORT&#160;&#160;&#160;extern</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Typedef Documentation</h2>
<a class="anchor" id="a81f02022906fafc71eb9197049f07f73"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef int <a class="el" href="json__types_8h.html#a81f02022906fafc71eb9197049f07f73">json_bool</a></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="af27907ced0f5a43409ad96430fe0f914"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="structjson__object.html">json_object</a> <a class="el" href="structjson__object.html">json_object</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The core type for all type of JSON objects handled by json-c. </p>

</div>
</div>
<a class="anchor" id="aa647d7c567a06abe1a1a511f6d6860e4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef void( json_object_delete_fn)(struct <a class="el" href="structjson__object.html">json_object</a> *jso, void *userdata)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Type of custom user delete functions. See json_object_set_serializer. </p>

</div>
</div>
<a class="anchor" id="af88126730e765f2068968f4b16fd074f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="structjson__object__iter.html">json_object_iter</a> <a class="el" href="structjson__object__iter.html">json_object_iter</a></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="af84078100a9025df418f31626ea866fa"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef int( json_object_to_json_string_fn)(struct <a class="el" href="structjson__object.html">json_object</a> *jso, struct <a class="el" href="structprintbuf.html">printbuf</a> *pb, int level, int flags)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Type of a custom serialization function. See json_object_set_serializer. </p>

</div>
</div>
<a class="anchor" id="aba5eff84f8638d22f50403175f270c96"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef enum <a class="el" href="json__types_8h.html#ac75c61993722a9b8aaa44704072ec06c">json_type</a>  <a class="el" href="json__types_8h.html#ac75c61993722a9b8aaa44704072ec06c">json_type</a></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a class="anchor" id="ac75c61993722a9b8aaa44704072ec06c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="json__types_8h.html#ac75c61993722a9b8aaa44704072ec06c">json_type</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="ac75c61993722a9b8aaa44704072ec06ca127e62d156e13517471fcde3378979c1"></a>json_type_null</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ac75c61993722a9b8aaa44704072ec06ca5d15299e90dbb9935ff6d3e2c22a285c"></a>json_type_boolean</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ac75c61993722a9b8aaa44704072ec06cac6ac2d9a16577d00210fea64d16b47cd"></a>json_type_double</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ac75c61993722a9b8aaa44704072ec06ca7bf325c213b43c5f970ae2d4443ab956"></a>json_type_int</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ac75c61993722a9b8aaa44704072ec06cac966c8008f0b2c07da59ee8a60ad440f"></a>json_type_object</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ac75c61993722a9b8aaa44704072ec06cae536c8c9da4648e6b9348abddde6113c"></a>json_type_array</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ac75c61993722a9b8aaa44704072ec06cac9f56e57c09245522d764015a054faa6"></a>json_type_string</em>&nbsp;</td><td>
</td></tr>
</table>
</dd>
</dl>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sun Apr 19 2020 03:40:44 for json-c by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.2
</small></address>
</body>
</html>
